g.copy(1)

NAME
g.copy - Copies available data files in the current mapset search path to the user’s current mapset.

KEYWORDS
general, map management

SYNOPSIS
g.copy
g.copy --help
g.copy [raster=from,to] [raster_3d=from,to] [vector=from,to] [label=from,to] [region=from,to] [group=from,to] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

raster=from,to
    raster map(s) to be copied

raster_3d=from,to
    3D raster map(s) to be copied

vector=from,to
    vector map(s) to be copied

label=from,to
    paint label file(s) to be copied

region=from,to
    region definition(s) to be copied

group=from,to
    imagery group(s) to be copied

DESCRIPTION
A user may access data stored under the other mapsets listed in his mapset search path. However, the user may only modify data stored under his own current mapset. g.copy allows the user to copy existing data files from other mapsets to the user’s current mapset ($MAPSET). The files to be copied must exist in the user’s current mapset search path and location; output is sent to the relevant data element directory(ies) under the user’s current mapset.

EXAMPLES
If the user wished to copy the existing raster file soils to a file called soils.ph and to copy an existing vector map roads to a file called rds.old, the user could type:

g.copy raster=soils,soils.ph
g.copy vector=roads,rds.old
# or even combined:
g.copy raster=soils,soils.ph vector=roads,rds.old

Data files can also be specified by their mapsets. For example, the below command copies the raster map named soils from the mapset wilson to a new file called soils to be placed under the user’s current mapset:

g.copy raster=soils@wilson,soils

If no mapset name is specified, g.copy searches for the named from map in each of the mapset directories listed in the user’s current mapset search path in the order in which mapsets are listed there (see g.mapsets).

NOTES
If the user does not enter parameter values but instead types only g.copy on the command line the program will prompt the user for a data type, the name of a file of this data type to copy, and the name of a new file to hold the copy. After both file names have been entered, the copy is created and the user is again prompted for a data element to be copied, until the user hits RETURN. When prompted for file names, the user may enter ’list’ to see a list of existing files, or hit RETURN to end the file listing.

If a file has support files (e.g., as do raster data files), these support files will also be copied.

SEE ALSO
g.access, g.list, g.mapsets, g.remove, g.rename

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2014-12-09 18:31:29 +0100 (Ășt, 09 XII 2014) $

Main index | General index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual